Bug 1001189 - Review Request: libqinfinity - Qt bindings for libinfinity
Summary: Review Request: libqinfinity - Qt bindings for libinfinity
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lukáš Tinkl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-26 16:34 UTC by Daniel Vrátil
Modified: 2015-11-02 01:37 UTC (History)
5 users (show)

Fixed In Version: kte-collaborative-0.0.95-5.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-09 23:51:08 UTC
Type: ---
ltinkl: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Daniel Vrátil 2013-08-26 16:34:35 UTC
Spec URL: http://dvratil.fedorapeople.org/spec/libqinfinity.spec
SRPM URL: http://dvratil.fedorapeople.org/spec/libqinfinity-0.5.0-1.fc19.src.rpm
Successful Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5855964
Description: Qt wrapper around libinfinity, a library for collaborative editing
Fedora Account System Username: dvratil

Comment 1 Lukáš Tinkl 2013-08-27 14:29:10 UTC
The only reproach I have is the missing version dep:

[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libqinfinity-devel

Full text of the review below:

-------------------------------------------------------------------------------

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package do not use a name that already exist
  Note: A package already exist with this name, please check
  https://admin.fedoraproject.org/pkgdb/acls/name/libqinfinity
  See: https://fedoraproject.org/wiki/Packaging/NamingGuidelines#Conflicting_Package_Names


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libqinfinity-devel
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)". Detailed output of licensecheck in
     /home/ltinkl/tmp/libqinfinity/1001189-libqinfinity/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: libqinfinity-0.5.0-1.fc18.x86_64.rpm
          libqinfinity-devel-0.5.0-1.fc18.x86_64.rpm
libqinfinity.x86_64: W: spelling-error Summary(en_US) libinfinity -> lib infinity, lib-infinity, infinity
libqinfinity.x86_64: W: spelling-error %description -l en_US libinfinity -> lib infinity, lib-infinity, infinity
libqinfinity.x86_64: W: incoherent-version-in-changelog 1:0.5.0 ['1:0.5.0-1.fc18', '1:0.5.0-1']
libqinfinity.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libqinfinity libqinfinity-devel
libqinfinity.x86_64: W: spelling-error Summary(en_US) libinfinity -> lib infinity, lib-infinity, infinity
libqinfinity.x86_64: W: spelling-error %description -l en_US libinfinity -> lib infinity, lib-infinity, infinity
libqinfinity.x86_64: W: incoherent-version-in-changelog 1:0.5.0 ['1:0.5.0-1.fc18', '1:0.5.0-1']
libqinfinity.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqinfinity.so.3.0.0 /lib64/libgmodule-2.0.so.0
libqinfinity.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqinfinity.so.3.0.0 /lib64/libgthread-2.0.so.0
libqinfinity.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqinfinity.so.3.0.0 /lib64/libgsasl.so.7
libqinfinity.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqinfinity.so.3.0.0 /lib64/libxml2.so.2
libqinfinity.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqinfinity.so.3.0.0 /lib64/libpthread.so.0
libqinfinity.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libqinfinity.so.3.0.0 /lib64/libm.so.6
libqinfinity.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 10 warnings.
# echo 'rpmlint-done:'



Diff spec file in url and in SRPM
---------------------------------
--- /home/ltinkl/tmp/libqinfinity/1001189-libqinfinity/srpm/libqinfinity.spec	2013-08-27 16:01:50.783698070 +0200
+++ /home/ltinkl/tmp/libqinfinity/1001189-libqinfinity/srpm-unpacked/libqinfinity.spec	2013-08-27 16:01:51.094699615 +0200
@@ -9,5 +9,5 @@
 Source0:        http://download.kde.org/stable/%{name}/%{version}/src/%{name}-v%{version}.tar.xz
 
-BuildRequires:  cmake
+BuildRequires:	cmake
 BuildRequires:  qt-devel
 BuildRequires:  libinfinity-devel


Requires
--------
libqinfinity (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgsasl.so.7()(64bit)
    libgthread-2.0.so.0()(64bit)
    libinfinity-0.5.so.0()(64bit)
    libinftext-0.5.so.0()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libxml2.so.2()(64bit)
    rtld(GNU_HASH)

libqinfinity-devel (rpmlib, GLIBC filtered):
    libqinfinity(x86-64)
    libqinfinity.so.3()(64bit)



Provides
--------
libqinfinity:
    libqinfinity
    libqinfinity(x86-64)
    libqinfinity.so.3()(64bit)

libqinfinity-devel:
    libqinfinity-devel
    libqinfinity-devel(x86-64)



Source checksums
----------------
http://download.kde.org/stable/libqinfinity/0.5.0/src/libqinfinity-v0.5.0.tar.xz :
  CHECKSUM(SHA256) this package     : dcd044b6f21a0356b4a95fedc778def4543e8b45b153c7256cce222a49394d07
  CHECKSUM(SHA256) upstream package : dcd044b6f21a0356b4a95fedc778def4543e8b45b153c7256cce222a49394d07


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 1001189

Comment 2 Daniel Vrátil 2013-08-27 14:35:28 UTC
(In reply to Lukáš Tinkl from comment #1)
> The only reproach I have is the missing version dep:
> 
> [!]: Fully versioned dependency in subpackages, if present.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
>      libqinfinity-devel
> 

%package        devel
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}


I think fedora-review does not handle when the version contains epoch (we have to have epoch because there's already an deprecated libqinfinity package with version 1.0 while this have 0.5)

Comment 3 Lukáš Tinkl 2013-08-27 14:37:10 UTC
Ah I see, in that case, this package is good to be imported. No other problem spotted, well done

Comment 4 Daniel Vrátil 2013-08-27 14:40:30 UTC
Package Change Request
======================
Package Name: libqinfinity
New Branches: f18 f19 f20
Owners: dvratil
InitialCC:

Comment 5 Gwyn Ciesla 2013-08-27 14:46:24 UTC
Git done (by process-git-requests).

Unretired, please take ownership of devel in pkgdb.

Comment 6 Fedora Update System 2013-08-29 16:27:26 UTC
kte-collaborative-0.0.95-5.fc18,libqinfinity-0.5.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kte-collaborative-0.0.95-5.fc18,libqinfinity-0.5.0-1.fc18

Comment 7 Fedora Update System 2013-08-29 16:27:42 UTC
kte-collaborative-0.0.95-5.fc19,libqinfinity-0.5.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kte-collaborative-0.0.95-5.fc19,libqinfinity-0.5.0-1.fc19

Comment 8 Fedora Update System 2013-08-30 22:56:33 UTC
kte-collaborative-0.0.95-5.fc18, libqinfinity-0.5.0-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 9 Fedora Update System 2013-09-09 23:51:08 UTC
kte-collaborative-0.0.95-5.fc18, libqinfinity-0.5.0-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 10 Fedora Update System 2013-09-09 23:52:48 UTC
kte-collaborative-0.0.95-5.fc19, libqinfinity-0.5.0-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.